Callisto4Bootloader: _FlexSPIConfig Struct Reference

Callisto4Bootloader

Data Fields
_FlexSPIConfig Struct Reference

FlexSPI Memory Configuration Block. More...

`#include <fsl_flexspi.h>`

## Data Fields

uint32_t | tag
| [0x000-0x003] Tag, fixed value 0x42464346UL More...
uint32_t | version
| [0x004-0x007] Version,[31:24] -'V', [23:16] - Major, [15:8] - Minor, [7:0] - bugfix More...
uint32_t | reserved0
| [0x008-0x00b] Reserved for future use More...
uint8_t | readSampleClkSrc
| [0x00c-0x00c] Read Sample Clock Source, valid value: 0/1/3 More...
uint8_t | csHoldTime
| [0x00d-0x00d] CS hold time, default value: 3 More...
uint8_t | csSetupTime
| [0x00e-0x00e] CS setup time, default value: 3 More...
uint8_t | columnAddressWidth
uint8_t | deviceModeCfgEnable
| Serial NAND, need to refer to datasheet. More...
uint8_t | deviceModeType
uint16_t | waitTimeCfgCommands
| Generic configuration, etc. More...
flexspi_lut_seq_t | deviceModeSeq
| DPI/QPI/OPI switch or reset command. More...
uint32_t | deviceModeArg
| sequence number, [31:16] Reserved More...
uint8_t | configCmdEnable
| [0x01c-0x01c] Configure command Enable Flag, 1 - Enable, 0 - Disable More...
uint8_t | configModeType [3]
| [0x01d-0x01f] Configure Mode Type, similar as deviceModeTpe More...
flexspi_lut_seq_t | configCmdSeqs [3]
| [0x020-0x02b] Sequence info for Device Configuration command, similar as deviceModeSeq More...
uint32_t | reserved1
| [0x02c-0x02f] Reserved for future use More...
uint32_t | configCmdArgs [3]
| [0x030-0x03b] Arguments/Parameters for device Configuration commands More...
uint32_t | reserved2
| [0x03c-0x03f] Reserved for future use More...
uint32_t | controllerMiscOption
uint8_t | deviceType
| details More...
uint8_t | sflashPadType
| [0x045-0x045] Serial Flash Pad Type: 1 - Single, 2 - Dual, 4 - Quad, 8 - Octal More...
uint8_t | serialClkFreq
uint8_t | lutCustomSeqEnable
| Chapter for more details. More...
uint32_t | reserved3 [2]
| be done using 1 LUT sequence, currently, only applicable to HyperFLASH More...
uint32_t | sflashA1Size
| [0x050-0x053] Size of Flash connected to A1 More...
uint32_t | sflashA2Size
| [0x054-0x057] Size of Flash connected to A2 More...
uint32_t | sflashB1Size
| [0x058-0x05b] Size of Flash connected to B1 More...
uint32_t | sflashB2Size
| [0x05c-0x05f] Size of Flash connected to B2 More...
uint32_t | csPadSettingOverride
| [0x060-0x063] CS pad setting override value More...
uint32_t | sclkPadSettingOverride
| [0x064-0x067] SCK pad setting override value More...
uint32_t | dataPadSettingOverride
| [0x068-0x06b] data pad setting override value More...
uint32_t | dqsPadSettingOverride
| [0x06c-0x06f] DQS pad setting override value More...
uint32_t | timeoutInMs
| [0x070-0x073] Timeout threshold for read status command More...
uint32_t | commandInterval
| [0x074-0x077] CS deselect interval between two commands More...
flexspi_dll_time_t | dataValidTime [2]
| [0x078-0x07b] CLK edge to data valid time for PORT A and PORT B More...
uint16_t | busyOffset
| [0x07c-0x07d] Busy offset, valid value: 0-31 More...
uint16_t | busyBitPolarity
uint32_t | lookupTable [64]
| busy flag is 0 when flash device is busy More...
flexspi_lut_seq_t | lutCustomSeq [12]
| [0x180-0x1af] Customizable LUT Sequences More...
uint32_t | reserved4 [4]
| [0x1b0-0x1bf] Reserved for future use More...

## Detailed Description

FlexSPI Memory Configuration Block.

Definition at line 191 of file fsl_flexspi.h.

## Field Documentation

## ◆ busyBitPolarity

uint16_t _FlexSPIConfig::busyBitPolarity

[0x07e-0x07f] Busy flag polarity, 0 - busy flag is 1 when flash device is busy, 1 -

Definition at line 237 of file fsl_flexspi.h.

## ◆ busyOffset

uint16_t _FlexSPIConfig::busyOffset

[0x07c-0x07d] Busy offset, valid value: 0-31

Definition at line 236 of file fsl_flexspi.h.

## ◆ columnAddressWidth

uint8_t _FlexSPIConfig::columnAddressWidth

[0x00f-0x00f] Column Address with, for HyperBus protocol, it is fixed to 3, For

Definition at line 199 of file fsl_flexspi.h.

## ◆ commandInterval

uint32_t _FlexSPIConfig::commandInterval

[0x074-0x077] CS deselect interval between two commands

Definition at line 234 of file fsl_flexspi.h.

## ◆ configCmdArgs

uint32_t _FlexSPIConfig::configCmdArgs[3]

[0x030-0x03b] Arguments/Parameters for device Configuration commands

Definition at line 214 of file fsl_flexspi.h.

## ◆ configCmdEnable

uint8_t _FlexSPIConfig::configCmdEnable

[0x01c-0x01c] Configure command Enable Flag, 1 - Enable, 0 - Disable

Definition at line 209 of file fsl_flexspi.h.

## ◆ configCmdSeqs

flexspi_lut_seq_t _FlexSPIConfig::configCmdSeqs[3]

[0x020-0x02b] Sequence info for Device Configuration command, similar as deviceModeSeq

Definition at line 212 of file fsl_flexspi.h.

## ◆ configModeType

uint8_t _FlexSPIConfig::configModeType[3]

[0x01d-0x01f] Configure Mode Type, similar as deviceModeTpe

Definition at line 210 of file fsl_flexspi.h.

## ◆ controllerMiscOption

uint32_t _FlexSPIConfig::controllerMiscOption

[0x040-0x043] Controller Misc Options, see Misc feature bit definitions for more

Definition at line 216 of file fsl_flexspi.h.

## ◆ csHoldTime

uint8_t _FlexSPIConfig::csHoldTime

[0x00d-0x00d] CS hold time, default value: 3

Definition at line 197 of file fsl_flexspi.h.

## ◆ csPadSettingOverride

uint32_t _FlexSPIConfig::csPadSettingOverride

[0x060-0x063] CS pad setting override value

Definition at line 229 of file fsl_flexspi.h.

## ◆ csSetupTime

uint8_t _FlexSPIConfig::csSetupTime

[0x00e-0x00e] CS setup time, default value: 3

Definition at line 198 of file fsl_flexspi.h.

## ◆ dataPadSettingOverride

uint32_t _FlexSPIConfig::dataPadSettingOverride

[0x068-0x06b] data pad setting override value

Definition at line 231 of file fsl_flexspi.h.

## ◆ dataValidTime

flexspi_dll_time_t _FlexSPIConfig::dataValidTime[2]

[0x078-0x07b] CLK edge to data valid time for PORT A and PORT B

Definition at line 235 of file fsl_flexspi.h.

## ◆ deviceModeArg

uint32_t _FlexSPIConfig::deviceModeArg

sequence number, [31:16] Reserved

[0x018-0x01b] Argument/Parameter for device configuration

Definition at line 208 of file fsl_flexspi.h.

## ◆ deviceModeCfgEnable

uint8_t _FlexSPIConfig::deviceModeCfgEnable

Serial NAND, need to refer to datasheet.

[0x010-0x010] Device Mode Configure enable flag, 1 - Enable, 0 - Disable

Definition at line 201 of file fsl_flexspi.h.

## ◆ deviceModeSeq

flexspi_lut_seq_t _FlexSPIConfig::deviceModeSeq

DPI/QPI/OPI switch or reset command.

[0x014-0x017] Device mode sequence info, [7:0] - LUT sequence id, [15:8] - LUt

Definition at line 206 of file fsl_flexspi.h.

## ◆ deviceModeType

uint8_t _FlexSPIConfig::deviceModeType

[0x011-0x011] Specify the configuration command type:Quad Enable, DPI/QPI/OPI switch,

Definition at line 202 of file fsl_flexspi.h.

## ◆ deviceType

uint8_t _FlexSPIConfig::deviceType

details

[0x044-0x044] Device Type: See Flash Type Definition for more details

Definition at line 218 of file fsl_flexspi.h.

## ◆ dqsPadSettingOverride

uint32_t _FlexSPIConfig::dqsPadSettingOverride

[0x06c-0x06f] DQS pad setting override value

Definition at line 232 of file fsl_flexspi.h.

## ◆ lookupTable

uint32_t _FlexSPIConfig::lookupTable[64]

busy flag is 0 when flash device is busy

[0x080-0x17f] Lookup table holds Flash command sequences

Definition at line 239 of file fsl_flexspi.h.

## ◆ lutCustomSeq

flexspi_lut_seq_t _FlexSPIConfig::lutCustomSeq[12]

[0x180-0x1af] Customizable LUT Sequences

Definition at line 240 of file fsl_flexspi.h.

## ◆ lutCustomSeqEnable

uint8_t _FlexSPIConfig::lutCustomSeqEnable

Chapter for more details.

[0x047-0x047] LUT customization Enable, it is required if the program/erase cannot

Definition at line 222 of file fsl_flexspi.h.

## ◆ readSampleClkSrc

uint8_t _FlexSPIConfig::readSampleClkSrc

[0x00c-0x00c] Read Sample Clock Source, valid value: 0/1/3

Definition at line 196 of file fsl_flexspi.h.

## ◆ reserved0

uint32_t _FlexSPIConfig::reserved0

[0x008-0x00b] Reserved for future use

Definition at line 195 of file fsl_flexspi.h.

## ◆ reserved1

uint32_t _FlexSPIConfig::reserved1

[0x02c-0x02f] Reserved for future use

Definition at line 213 of file fsl_flexspi.h.

## ◆ reserved2

uint32_t _FlexSPIConfig::reserved2

[0x03c-0x03f] Reserved for future use

Definition at line 215 of file fsl_flexspi.h.

## ◆ reserved3

uint32_t _FlexSPIConfig::reserved3[2]

be done using 1 LUT sequence, currently, only applicable to HyperFLASH

[0x048-0x04f] Reserved for future use

Definition at line 224 of file fsl_flexspi.h.

## ◆ reserved4

uint32_t _FlexSPIConfig::reserved4[4]

[0x1b0-0x1bf] Reserved for future use

Definition at line 241 of file fsl_flexspi.h.

## ◆ sclkPadSettingOverride

uint32_t _FlexSPIConfig::sclkPadSettingOverride

[0x064-0x067] SCK pad setting override value

Definition at line 230 of file fsl_flexspi.h.

## ◆ serialClkFreq

uint8_t _FlexSPIConfig::serialClkFreq

[0x046-0x046] Serial Flash Frequencey, device specific definitions, See System Boot

Definition at line 220 of file fsl_flexspi.h.

## ◆ sflashA1Size

uint32_t _FlexSPIConfig::sflashA1Size

[0x050-0x053] Size of Flash connected to A1

Definition at line 225 of file fsl_flexspi.h.

Referenced by C4_QSPI_erase(), C4_QSPI_read(), C4_QSPI_write(), and QSPI_test().

## ◆ sflashA2Size

uint32_t _FlexSPIConfig::sflashA2Size

[0x054-0x057] Size of Flash connected to A2

Definition at line 226 of file fsl_flexspi.h.

## ◆ sflashB1Size

uint32_t _FlexSPIConfig::sflashB1Size

[0x058-0x05b] Size of Flash connected to B1

Definition at line 227 of file fsl_flexspi.h.

## ◆ sflashB2Size

uint32_t _FlexSPIConfig::sflashB2Size

[0x05c-0x05f] Size of Flash connected to B2

Definition at line 228 of file fsl_flexspi.h.

## ◆ sflashPadType

uint8_t _FlexSPIConfig::sflashPadType

[0x045-0x045] Serial Flash Pad Type: 1 - Single, 2 - Dual, 4 - Quad, 8 - Octal

Definition at line 219 of file fsl_flexspi.h.

## ◆ tag

uint32_t _FlexSPIConfig::tag

[0x000-0x003] Tag, fixed value 0x42464346UL

Definition at line 193 of file fsl_flexspi.h.

Referenced by C4_QSPI_getConfig().

## ◆ timeoutInMs

uint32_t _FlexSPIConfig::timeoutInMs

[0x070-0x073] Timeout threshold for read status command

Definition at line 233 of file fsl_flexspi.h.

## ◆ version

uint32_t _FlexSPIConfig::version

[0x004-0x007] Version,[31:24] -'V', [23:16] - Major, [15:8] - Minor, [7:0] - bugfix

Definition at line 194 of file fsl_flexspi.h.

Referenced by C4_QSPI_getConfig().

## ◆ waitTimeCfgCommands

uint16_t _FlexSPIConfig::waitTimeCfgCommands

Generic configuration, etc.

[0x012-0x013] Wait time for all configuration commands, unit: 100us, Used for

Definition at line 204 of file fsl_flexspi.h.

The documentation for this struct was generated from the following file:

- drivers/fsl_flexspi.h